# SourcePath: libcap/20050113dev
Summary: Library for getting/setting POSIX.1e capabilities
Name: sony-target-dev-libcap
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libcap
Version: 1.10
Release: 08000101
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4
Source: libcap_%{version}.orig.tar.gz
Patch0: libcap_%{version}-12.diff.gz
Patch1: libcap-1.10-makefile.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
This is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package -n %{pkgname}
Summary: Library for getting/setting POSIX.1e capabilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%prep
%setup -q -n libcap-%{version}.orig
%patch0 -p1
%patch1 -p1

%build
%sony_target_dev_setup
make -C libcap _makenames
make all CC="${CC}" LD="${LD}" LDFLAGS="" \
	prefix=%{sony_target_dev_prefix} \
	| tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%define sony_objdir .
%sony_target_dev_makeinstall \
	prefix=%{sony_target_dev_prefix} \
	| tee -a build.log

rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

### mv %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man \
###	%{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
### rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.a

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
mv %{buildroot}%{sony_target_dir}/devel/usr/include/* %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_include_dir}/sys/capability.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.so.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcap.so.1.10

%changelog
* Thu Jan 13 2005 Sony Corporation - rel-libcap
- delete execcap getpcaps setpcaps sucap command.

* Tue Nov 18 2004 Sony Corporation
- delete online manual

* Fri Aug 27 2004 Sony Corporation - 1.10-1
- Conformed to 20040825-rule

* Wed Aug 18 2004 Sony Corporation - dev-libcap
- Initial build.
